Blog

Miércoles, 23 Noviembre 2016 08:59

¿Cómo solucionar el error de mcrypt a la hora de instalar prestashop en Ubuntu?

Esrito por 

Mcrypt es una extensión necesaria para el funcionamiento de prestashop. Es una de las extensiones más usadas por varios frameworks. Si durante la instalación de prestashop en el hosting, nos da error de mcrypt, seguramente es porque no esté instalada dicha extensión.

Lo primero que deben hacer es instalar la extensión en mención, para ello escribe este comando en la terminal:

sudo apt-get install mcrypt php5-mcrypt

sudo php5enmod mcrypt

sudo service apache2 restart

Si esto no llega a funcionar, hay otra opción y es editar el archivo mcrypt.ini de php para indicarle donde se encuentra el archivo que necesita, para esto escribe los siguientes comandos.

locate mcrypt.so (para buscar el archivo)

En los resultados de búsqueda veras una ruta igual o similar a esta /usr/lib/php5/20131226/mcrypt.so , dicha ruta debes copiarla editar el archivo mcrypt.ini con la orden:

sudo gedit /etc/php5/mods-available/mcrypt.ini

Al final tu archivo mcrypt.ini debe quedar asi:

extension=/usr/lib/php5/20131226/mcrypt.so

finalmente reinicia el servicio de apache:

sudo service apache2 restart

Leer 3042 times

Sobre CNERIS

CNERIS es una empresa constituida por jóvenes emprendedores procedentes de diferentes sectores del mundo de la información. Nuestro equipo está compuesto por programadores, administradores de sistemas, administradores de base de datos, diseñadores gráficos, maquetadores,